# $Revision: 1.55 $, $Date: 2012/02/07 22:08:50 $
#
# TODO: Check INDI interface (anyone with telescope?), probably change
#	fifo dir (/usr/share/xephem/fifo) as it needs to be writeable.
#	And how it cooperates with http://indi.sf.net?
#	Consider using system-wide libjpeg instead of shipped libjpegd
#
Summary:	Interactive astronomy program
Summary(pl.UTF-8):	Interaktywny program astronomiczny
Name:		xephem
Version:	3.7.4
Release:	2
License:	distributable with free-unices distros, free for non-profit non-commercial purposes
Group:		X11/Applications/Science
Source0:	http://97.74.56.125/free/%{name}-%{version}.tar.gz
# Source0-md5:	4e9290609f36df469a2ba5a1b4fffd46
Source1:	%{name}.desktop
Source2:	%{name}.png
Source3:	%{name}_sites
Patch0:		%{name}-makefile.patch
URL:		http://www.clearskyinstitute.com/xephem/
BuildRequires:	groff
BuildRequires:	libpng-devel
BuildRequires:	openmotif-devel
BuildRequires:	sed >= 4.0
Requires:	xorg-lib-libXt >= 1.0.0
Obsoletes:	xephem-doc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdefsdir	/usr/share/X11/app-defaults

%description
XEphem \eks-i-'fem\ n. [X Window + Ephemeris] (1990)
XEphem is a star-charting, sky-simulating, ephemeris-generating
celestial virtuoso.

%description -l pl.UTF-8
XEphem \eks-i-'fem\ n. [X Window + Ephemeris] (1990)
XEphem jest programem sporządzającym mapę gwiazd, symulującym niebo,
efemerydalnie generującym sferę niebieską wirtuozem. Udostępnia wiele
informacji o satelitach Ziemi, Układzie Słonecznym i odległych
obiektach astronomicznych, w formie graficznej i liczbowej, w układzie
geocentrycznym, heliocentrycznym i topocentrycznym.

%package tools
Summary:	Additional tools for use with XEphem
Summary(pl.UTF-8):	Dodatkowe narzędzia dla XEphema
Group:		X11/Applications/Science
Requires:	%{name} = %{version}-%{release}

%description tools
astorb2edb - convert astorb.txt to 2 .edb files,
mpcorb2edb - convert MPCORB.DAT to 2 .edb files,
INDI - tools for connecting telescope using INDI interface,
lx200xed - a daemon to connect XEphem to a Meade LX200 telescope,
xedb - tool to generate ephemeris data from .edb files,
XEphemdbd - filter to find astronomical objects within a given
	    field of view.

%description tools -l pl.UTF-8
astorb2edb - konwertuje astorb.txt do 2 plików .edb,
mpcorb2edb - konwertuje MPCORB.DAT do 2 plików .edb,
INDI - narzędzia do podłączenia teleskopu za pomocą interfejsu INDI,
lx200xed - demon do połączenia XEphema z teleskopem Meade LX200,
xedb - narzędzie do generowania danych efemerycznych z plików .edb,
XEphemdbd - filtr do odnajdywania obiektów astronomicznych wg zadanych
	    pól opisu.

%prep
%setup -q
%patch0 -p1

sed -i "s#X11R6/lib#X11R6/%{_lib}#g" GUI/xephem/Makefile
sed -i "s#/usr/local#%{_datadir}#g" GUI/xephem/tools/xephemdbd/start-xephemdbd.pl

mv GUI/xephem/tools/indi/README GUI/xephem/tools/indi/README-indi
mv GUI/xephem/tools/lx200xed/README GUI/xephem/tools/lx200xed/README-lx200xed
mv GUI/xephem/tools/xedb/README GUI/xephem/tools/xedb/README-xedb
mv GUI/xephem/tools/xephemdbd/README GUI/xephem/tools/xephemdbd/README-xephemdbd
mv -f Copyright LICENSE

cat %{SOURCE3} >> GUI/xephem/auxil/xephem_sites

%build

# build these libraries first in order to have CFLAGS passed
%{__make} -C libastro \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%{__make} -C libip \
	CC="%{__cc}" \
	CFLAGS="-I../libastro %{rpmcflags}"

%{__make} -C libjpegd \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%{__make} -C liblilxml \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

cd GUI/xephem

%{__make} \
	CC="%{__cc}" \
	CLDFLAGS="%{rpmcflags}"

%{__make} -C tools/lx200xed \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -I../../../../libastro"

%{__make} -C tools/xephemdbd \
	CC="%{__cc}" \
	CFLAGS="-ffast-math %{rpmcflags} -I../../../../GUI/xephem -I../../../../libastro -I../../../../libip"

%{__make} -C tools/xedb \
	CC="%{__cc}" \
	CFLAGS="-ffast-math %{rpmcflags} -I../../../../libastro"

%{__make} -C tools/indi \
	CC="%{__cc}" \
	CFLAGS="-ffast-math %{rpmcflags} -I../../../../liblilxml -I../../../../libastro -I../../../../libip"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{name},%{_mandir}/man1} \
	$RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir},%{_appdefsdir}}

install GUI/xephem/xephem $RPM_BUILD_ROOT%{_bindir}
cp -a GUI/xephem/auxil $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -a GUI/xephem/catalogs $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -a GUI/xephem/fifos $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -a GUI/xephem/fits $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -a GUI/xephem/gallery $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -a GUI/xephem/help $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -a GUI/xephem/lo $RPM_BUILD_ROOT%{_datadir}/%{name}

install GUI/xephem/xephem.man $RPM_BUILD_ROOT%{_mandir}/man1/xephem.1

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}
echo XEphem.ShareDir: %{_datadir}/%{name} > $RPM_BUILD_ROOT%{_appdefsdir}/XEphem

# INDI drivers
install GUI/xephem/tools/indi/cam $RPM_BUILD_ROOT%{_bindir}
install GUI/xephem/tools/indi/ota $RPM_BUILD_ROOT%{_bindir}
install GUI/xephem/tools/indi/security $RPM_BUILD_ROOT%{_bindir}
install GUI/xephem/tools/indi/tmount $RPM_BUILD_ROOT%{_bindir}
install GUI/xephem/tools/indi/wx $RPM_BUILD_ROOT%{_bindir}

install GUI/xephem/tools/indi/evalINDI $RPM_BUILD_ROOT%{_bindir}
install GUI/xephem/tools/indi/getINDI $RPM_BUILD_ROOT%{_bindir}
install GUI/xephem/tools/indi/indiserver $RPM_BUILD_ROOT%{_bindir}
install GUI/xephem/tools/indi/setINDI $RPM_BUILD_ROOT%{_bindir}
install GUI/xephem/tools/lx200xed/lx200xed $RPM_BUILD_ROOT%{_bindir}
install GUI/xephem/tools/xedb/xedb $RPM_BUILD_ROOT%{_bindir}
install GUI/xephem/tools/xephemdbd/xephemdbd $RPM_BUILD_ROOT%{_bindir}
# xephemdbd.html and xephemdbd.pl are used for WWW interface to xephemdbd
# one can make http server subpackage
install GUI/xephem/tools/xephemdbd/start-xephemdbd.pl $RPM_BUILD_ROOT%{_bindir}
install GUI/xephem/auxil/*.pl $RPM_BUILD_ROOT%{_bindir}

install GUI/xephem/tools/indi/evalINDI.man $RPM_BUILD_ROOT%{_mandir}/man1/evalINDI.1
install GUI/xephem/tools/indi/getINDI.man $RPM_BUILD_ROOT%{_mandir}/man1/getINDI.1
install GUI/xephem/tools/indi/indidevapi.man $RPM_BUILD_ROOT%{_mandir}/man1/indidevapi.1
install GUI/xephem/tools/indi/indiserver.man $RPM_BUILD_ROOT%{_mandir}/man1/indiserver.1
install GUI/xephem/tools/indi/setINDI.man $RPM_BUILD_ROOT%{_mandir}/man1/setINDI.1

install GUI/xephem/tools/indi/*.fts $RPM_BUILD_ROOT%{_datadir}/%{name}/fits

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE
%attr(755,root,root) %{_bindir}/xephem
%{_datadir}/%{name}
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*
%{_appdefsdir}/*
%{_mandir}/man1/xephem.1*

%files tools
%defattr(644,root,root,755)
%doc GUI/xephem/tools/indi/README-indi GUI/xephem/tools/lx200xed/README-lx200xed
%doc GUI/xephem/tools/xedb/README-xedb GUI/xephem/tools/xephemdbd/README-xephemdbd

%attr(755,root,root) %{_bindir}/*
%exclude %{_bindir}/xephem
%{_mandir}/man1/*
%exclude %{_mandir}/man1/xephem.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xephem.spec,v $
Revision 1.55  2012/02/07 22:08:50  arekm
- release 2

Revision 1.54  2010/08/25 14:53:47  gotar
- upgraded to 3.7.4

Revision 1.53  2010/01/31 00:26:00  sparky
- BR: libpng-devel

Revision 1.52  2010/01/30 10:42:49  megabajt
- release 3

Revision 1.51  2007/11/28 08:14:34  arekm
- rel 2

Revision 1.50  2007-08-30 12:55:51  gotar
- upgraded to 3.7.2,
- fixed passing CFLAGS, use system libpng and zlib,
- BR: groff

Revision 1.49  2007/02/12 22:09:22  glen
- tabs in preamble

Revision 1.48  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.47  2006/11/07 22:31:36  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.46  2006/08/23 20:53:02  qboosh
- app-defaults in /usr/share require libXt >= 1.0.0

Revision 1.45  2006/08/23 19:51:52  glen
- no extra slash

Revision 1.44  2006/08/23 19:35:49  havner
- _appdefsdir for TH
- rel 3

Revision 1.43  2006/08/07 11:29:06  qboosh
- don't assume compressed manuals

Revision 1.42  2006/07/31 03:38:09  havner
- argh, local copy

Revision 1.41  2006/07/31 03:23:18  havner
- openmotif-devel already R: X-devel

Revision 1.40  2006/07/30 23:44:51  havner
- according to license, and mail with author we cant change functionality
  but this patch will be included in next xephem release.

Revision 1.39  2006/07/30 23:01:13  havner
- added missing dirs (gallery, lo)
- packed more tools (indi iface)
- description fixes, cosmetics

Revision 1.38  2006/07/30 21:09:03  havner
- pack with uncompressed documentation as it appeared that xephem uses it
  for displaying help from program help menu. doc subpackage obsolete
- cosmetics

Revision 1.37  2006/07/30 01:28:50  havner
- dont double pack documentation

Revision 1.36  2006/07/30 01:10:21  havner
- fits patch
- rel 2

Revision 1.35  2006/07/22 17:22:57  havner
- reverted previous change, trying to fix amd64 build

Revision 1.34  2006/07/22 16:42:54  havner
- pass rpm flags also for xephem binary

Revision 1.33  2006/07/22 15:41:41  havner
- 3.7.1
- fixed doc description
- ref manual to 3.7.1

Revision 1.32  2005/10/12 19:29:15  snurf
- docs updated to 3.7

Revision 1.31  2005/10/12 19:05:03  snurf
- up to 3.7

Revision 1.30  2005/04/04 23:27:19  snurf
- use xephem_sites from cvs

Revision 1.29  2005/04/04 10:24:18  snurf
- fixed Source0 md5

Revision 1.28  2005/04/04 10:12:57  snurf
- fixed Source0

Revision 1.27  2005/04/04 10:10:29  snurf
- starting update to 3.6.4

Revision 1.26  2004/10/31 12:55:15  paladine
- spaces->tabs

Revision 1.25  2004/07/07 20:51:18  qboosh
- fixed app-defaults dir, cosmetics

Revision 1.24  2004/07/07 20:47:17  havner
- moved pdf doc from share/doc/ to share/xephem/doc, it has been deleted
  from first dir at build time

Revision 1.23  2004/07/07 12:53:05  ankry
- rel. 8 to rebuild with openmotif-libs-2.2.3-2

Revision 1.22  2004/07/03 22:22:06  havner
- applnk -> vfolders

Revision 1.21  2004/02/20 12:40:38  ciesiel
- changed BR

Revision 1.20  2003/05/28 13:03:07  malekith
- massive attack: source-md5

Revision 1.19  2003/05/25 06:28:14  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2003/03/08 01:04:40  gotar
- updated Source0 URL,
- changed BR: lesstif-devel to motif-devel (consider using
  openmotif-devel, see 4-th question in project FAQ),
- removed /usr/X11R6 prefix,
- added xephem-3.5.2.pdf documentation file,
- release 6.

Revision 1.17  2002/11/07 21:52:35  ankry
- added icon to desktop and LICENSE file, rel. 5

Revision 1.16  2002/10/30 07:55:00  kloczek
- simplifications in %install,
- fixes for --short-circuit,
- use proper CC and CFLAGS.

Revision 1.15  2002/10/29 21:49:56  ankry
- applnk: moved to Scientific/Astronomy
- new %doc, rel. 4

Revision 1.14  2002/09/30 07:45:07  trojan
- changed %{applnkdir}/Science to Scientific
- release 3; STBR

Revision 1.13  2002/05/01 11:37:04  kloczek
- release 2.

Revision 1.12  2002/04/24 15:36:04  roman
- changed applnk dir from Science to Scientific

Revision 1.11  2002/04/03 12:38:15  gotar
- rewritten from scratch, STBR.

Revision 1.7  2001/11/23 14:54:30  qboosh
- BuildRoot. NOTE: spec should be rewritten.
